<div >

    <li class="nav-item dropdown dropdown-user no-caret" ngbDropdown placement="bottom-right" display="dynamic">
        <a class="nav-link dropdown-toggle" id="userDropdown" ngbDropdownToggle data-cy="userMenu" role="button"
            aria-haspopup="true" aria-expanded="false">
            <fa-icon [icon]='["fas", "user"]' style="color:rgb(255, 255, 255)"></fa-icon>
        </a>
        <div class="dropdown-menu dropdown-menu-right" ngbDropdownMenu aria-labelledby="dropdownUser">
            <h6 class="dropdown-header">
                <div class="dropdown-user-details">
                    <div class="dropdown-user-details-name">{{ user.nombre }} {{ user.apellido }}</div>
                    <div class="dropdown-user-details-email">{{ user.correo }}</div>
                    <div class="dropdown-divider"></div>
                    <div class="dropdown-user-details-name">{{ user.rol.nombre | uppercase }}</div>
                </div>
            </h6>
            <!-- <div class="dropdown-divider"></div>
            <a class="dropdown-item" routerLink="/dashboard">Settings</a><a class="dropdown-item" routerLink="/dashboard">Activity Log</a> -->
            <div class="dropdown-divider"></div>
            <button class="dropdown-item" (click)="logout()">Logout</button>

        </div>
    </li>
</div>
